set terminal fig monochrome textspecial
set output "plot/multiplot.fig" 

# Start multiplot mode with 2 rows, 2 columns.
# They are inserted rowsfirst downwards. 
# You can also try columnsfirst and upwards!
set multiplot layout 2,2 rowsfirst downwards title "Multiplotting!"

# Set the left margin so the graphs are lined exact, otherwise they will be
# a little bit tilted due to different ytics:
set lmargin 3
#show margin

set ytics 0,0.2
plot [0:8] x/exp(x) title "$ x / e^x $
set ytics autofreq	    # Let gnuplot decide ytics for following plots!

plot [-2:2] x**2*(1+x) title "$ x^2 (1+x) $

set title "$y=\\sin(x) x^2 - x$" # set title for next plot window
plot [-pi:pi] sin(x)*x**2 - x notitle
unset title	           # remove title, otherwise remain for following plots

plot x*x-x title "$x^2-x$"

unset multiplot

# Range can be given with [x1:x2], otherwise default range [-10:10].