# Set canvas size with: size <x> <y> in cm when "metric" is given.
# "inches" changes to inches!
set terminal fig color size 18 12 metric textspecial
set output "plot/multiplot2.fig" 

set multiplot

# Set left margin to 3 character's width:
set lmargin 3

### Lower plot
# First, define size and where to plot the sine:
set size 1,0.4
set origin 0,0 
# Set nice xtics:
set xtics ("$-\\pi$" -pi, "$-\\frac{\\pi}{2}$" -pi/2, "0" 0, \
           "$\\frac{\\pi}{2}$" pi/2, "$\\pi$" pi)
set ytics -1, 1

plot [-pi:pi] [-1.1:1.1] sin(x) 

# Set x- and ytics to default:
set xtics autofreq		
set ytics autofreq

### Upper right plot
# Move to another location and set another size:
set size 0.5,0.6 
set origin 0.5,0.4 
set y2label "Polar plot of $t$ and $2\\pi$ for $0<t<6/4\\pi$"
set grid

set polar 
plot [0:6*pi/4] 2*pi title "$2\\pi$", t title "$t$" 

unset polar
unset title
unset grid
unset y2label

### Middle left plot
set size 0.5,0.3 
set origin 0,0.4 
set ytics 0, 0.5
plot [0:10] sqrt(x) / int(x+1)
set ytics autofreq

### Upper left plot
set size 0.5,0.3 
set origin 0,0.7 

# Make labels and arrows:
set label 1 "$y=x^2$" at -0.5,4 center
set arrow 1 from -0.5,3.4 to -1,1
set label 2 "$y=x^3$" at 0,-4 left
set arrow 2 from -0.1,-4 to -1.3,-2

plot [-2:2] x**2 notitle, x**3 notitle

# Unset labels, arrows to prevent display on (eventual) next plot:
unset label 1; unset label 2
unset arrow 1; unset arrow 2


unset multiplot