set terminal fig monochrome textspecial
set output "plot/transloss2.fig" 

# Title and x/y-labels:
set title "Transmission loss in 1/3 octave band"
set xlabel "Frequency $f$ [Hz]" offset 0,character -1
set ylabel "Transmission Loss $TL_r$ [dB]" 

# Place legend at top left, change place of text and linetype with "reverse",
# align text left with "Left" and increase spacing between items:
set key top left reverse Left spacing 2

# Used to scale the figure:
set size square 1,1

# Logarithmic x-axis, base 10 (default, though)
set logscale x 10

# xtics sets slightly rotated. Define the tics; ("label" pos, "label" pos, ... )
set xtics rotate by -30 ("125" 125, "250" 250, "500" 500, "1k" 1000, "2k" 2000, "4k" 4000)

plot "data/transloss2.dat" using 1:2 title "$20\\log(\\omega m)-48$" with linespoints 1 5, \
"data/transloss2.dat" using 1:3 title "From table \\ref{tab:transloss2}" with linespoints 2 1