% (Almost) all calculations needed to produce the data files.


% For simplesine.gp
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all

x = [-pi:0.1:pi]';
A = [x sin(x)];

save -ascii "../gp/data/simplesine.dat" A

% For sin.gp
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all

x = [0:pi/50:2*pi]';
A = [x sin(x) sin(x-1) sin(x-2) sin(x-3) sin(x-4)];

save -ascii "../gp/data/sin.dat" A

% For transloss.gp
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all

fa = [100 125 160 200 250 315 400 500 630 800 1000 1250 1600 2000 2500 3150 4000 5000 6300]';
f = [125 250 500 1000 2000 4000 ]';
tabell = [22 27 34 39 41 38]';
h=4.5e-3;
E = 2.1e11;	% elasticitetsmodul
rho = 1.21;	% luft vid normalt tryck
c = 340;	% ljudhastighet i luft
mbis = 7800*h;
% Beräkning av böjstyvhet:
Dp = E*h^3/(12*(1-0.3^2));
% koincidensfrekvens:
fc = 340^2/2/pi*sqrt(mbis/Dp);
% Reduktionstal för diffust infall som gäller då f < fc.
Rd = 20 * log10(fa)+20*log10(mbis)-48;
% Enligt min japanske lärare:
m = 7800*h;
% TL för olika infallsvinklar, här 0:
TL0 = 10*log10(1+(2*pi*fa*m*cos(0)/2/rho/c).^2);
% Random-infall:
TLr = TL0 - 10*log10(0.23*TL0);

% Save the variable fc:
savegpvar("../gp/data/transloss-fc.dat", 'fc', fc);

A = [fa Rd TLr];
save -ascii "../gp/data/transloss.dat" A

B = [f tabell];
save -ascii "../gp/data/transloss-tab.dat" B


% For transloss2.gp
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all

f = [125 250 500 1000 2000 4000 ]';
tabell = [17 19 24 28 33 38]';
h=1e-3;
mbis = 7800*h;
Rd = 20 * log10(f)+20*log10(mbis)-48;

A = [f Rd tabell];
save -ascii "../gp/data/transloss2.dat" A


% For integral.gp
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all

x=[0:pi/100:2*pi]';
y=sin(x);		% Function
y1=y;
lowerlimit = pi/2;	% Limits
upperlimit = pi;
% Find the indexes within the limits:
a=find(x>=lowerlimit & x<=upperlimit);
y1(a) = 0;	% This area should be marked and drawn against y=0.

A = [x y y1];
save -ascii "../gp/data/integral.dat" A


% For superdator.gp
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all


year = [1960   1961   1964   1969   1974   1975   1976   1981   1983   1984   1985 ...
        1989   1990   1993   1994   1996   1997   1999   2000   2002   2004   2005 ...
        2007]';
perf = [2.5000e+05   1.2000e+06   3.0000e+06   3.6000e+07   1.0000e+08   1.5000e+08 ...
        2.5000e+08   4.0000e+08   9.4100e+08   2.4000e+09   3.9000e+09   1.0300e+10 ...
        2.3200e+10   1.4340e+11   1.7040e+11   3.6820e+11   1.3380e+12   2.3796e+12 ...
        7.2260e+12   3.5860e+13   7.0720e+13   2.8060e+14   4.7820e+14]';

A = [year perf];
save -ascii "../gp/data/superdator.dat" A


% For housner.gp
% Difference (error) between Housner model and fluid dynamics model
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all

g=9.81;
l = 68.8;
R = l/2;
H = [0.00001:1:31]';
w_Housner = sqrt(sqrt(5/2)*g./R.*tanh(sqrt(5/2)*H./R));
m = 1;
k = m*pi./l;
w_m = sqrt(g*k.*tanh(k*H));
diff = w_Housner./w_m;

A = [H diff];
save -ascii "../gp/data/housner.dat" A


% For energislag07.gp
% Different energy resources
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all

% rows: N. America, S. America, Europe, M. East, Africa, Asia
% cols: oil     gas    coal  nuclear  hydro
A = [1134.66  728.89  613.32  215.57  146.19;
      251.99  121.07   22.39    4.4   153.08;
      949.38 1040.15  533.67  275.62  188.64;
      293.48  269.42    6.06    0       5.14;
      138.2    75.16  105.86    2.98   22.23;
     1185.1   403.05 1896.24  123.45  193.95];

save -ascii "../gp/data/energislag07.dat" A



